'use client'

import { Auth, User } from "@/models";
import { ReactNode, createContext } from "react";
import { Attributes, InferAttributes } from "@sequelize/core";


export type AuthProps = {
    auth?: Attributes<Auth>
    user?: Attributes<User>
}

let p: AuthProps = {}

export const AuthContext = createContext(p);

interface Props {
    children?: ReactNode;
    params?: any;
} 

export default function Providers(props:Props){
    return (
        <AuthContext.Provider value={{}}>{props.children}</AuthContext.Provider>
    )
}